Subject: Re: Re: IPv6 PD

From: <[email-masked]>
Date: Fri, 28 Jul 2006 21:55:25 -0500 (CDT)

>From: Alexandru Petrescu <[email-masked]>
>Date: 2006/07/28 Fri AM 10:34:22 CDT
>To: [email-masked]
>Cc: "Templin, Fred L" <[email-masked]>, 
	Iljitsch van Beijnum <[email-masked]>, 
	IETF IPv6 Mailing List <[email-masked]>
>Subject: Re: IPv6 PD

>[email-masked] wrote:
>> Hi Fred/all,
>> 
>> The former subject line became far too unwieldy, and the subject of IPv6 referred to in the attached exchange is of interest.
>> 
>> IPv6 PD is between two routers, not a router and an end host. Using ISP parlance, the delegating router is the ISP PE (delegating) router and the requesting router is the CE router. 
>> 
>> The abstract of RFC 3769 which defines the IPv6 PD requirements says: "This document describes requirements for how IPv6 address prefixes
>> should be delegated to an IPv6 subscriber's network (or "site")." Section 1 echoes this point. It's logical to infer from Section 4 that the CPE is the requesting router (not host): "A rogue PE can issue bogus prefixes to a requesting router."
>> 
>> Given the way RFC 3633 is written, there is reason to pre-suppose that the client will behave as a router. In DHCPv6 PD, the ISP router that serves as the DHCPv6 server is the delegating router. The CPE that serves as the DHCPv6 client is the requesting router (Section 3). Section 5.1 illustrates an example architecture wherein this is shown. The point is also made that the requesting router subnets whatever prefixes are delegated to it and assigns those longer prefixes to links within the subscriber network.
>> 
>> a. There has neither ever been nor is there now a standard defining ICMPv6 PD. There are however at least three expired drafts (of which I am aware) on the subject:
>> i) draft-haberman-ipngwg-auto-prefix-02.txt
>> ii) draft-bykim-ipv6-hpd-01.txt
>> iii) draft-arunt-prefix-delegation-using-icmpv6-00.txt
>

>Doing it with Mobile IPv6:
>draft-ietf-nemo-prefix-delegation-00 August 2005.

This draft is expired. Are there any plans for reviving/resubmitting it?

>Alex

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 31 Jul 2006 14:15:49 +0200

[email-masked] wrote:
>> From: Alexandru Petrescu <[email-masked]> Date: 
>> 2006/07/28 Fri AM 10:34:22 CDT To: [email-masked] Cc: 
>> "Templin, Fred L" <[email-masked]>,
> Iljitsch van Beijnum <[email-masked]>, IETF IPv6 Mailing List 
> <[email-masked]>
>> Subject: Re: IPv6 PD
> 
>>> The former subject line became far too unwieldy, and the subject
>>>  of IPv6 referred to in the attached exchange is of interest.
>>> 
>>> IPv6 PD is between two routers, not a router and an end host. 
>>> Using ISP parlance, the delegating router is the ISP PE 
>>> (delegating) router and the requesting router is the CE router.
>>> 
>>> The abstract of RFC 3769 which defines the IPv6 PD requirements 
>>> says: "This document describes requirements for how IPv6 address
>>>  prefixes should be delegated to an IPv6 subscriber's network (or
>>>  "site")." Section 1 echoes this point. It's logical to infer
>>> from Section 4 that the CPE is the requesting router (not host):
>>> "A rogue PE can issue bogus prefixes to a requesting router."
>>> 
>>> Given the way RFC 3633 is written, there is reason to pre-suppose
>>>  that the client will behave as a router. In DHCPv6 PD, the ISP 
>>> router that serves as the DHCPv6 server is the delegating router.
>>>  The CPE that serves as the DHCPv6 client is the requesting 
>>> router (Section 3). Section 5.1 illustrates an example 
>>> architecture wherein this is shown. The point is also made that 
>>> the requesting router subnets whatever prefixes are delegated to 
>>> it and assigns those longer prefixes to links within the 
>>> subscriber network.
>>> 
>>> a. There has neither ever been nor is there now a standard 
>>> defining ICMPv6 PD. There are however at least three expired 
>>> drafts (of which I am aware) on the subject: i) 
>>> draft-haberman-ipngwg-auto-prefix-02.txt ii) 
>>> draft-bykim-ipv6-hpd-01.txt iii) 
>>> draft-arunt-prefix-delegation-using-icmpv6-00.txt
> 
>> Doing it with Mobile IPv6: draft-ietf-nemo-prefix-delegation-00 
>> August 2005.
> 

Frankly speaking I don't know.  It was heatly debated at some point,
because another draft was proposing prefix delegation with DHCPv6
between HA and MR draft-ietf-nemo-dhcpv6-pd-00 (DHCPv6 instead of MIP6).
  And since then not any was progressed, and they are both WG items.  I
think somehow the authors lost interest, or the deployment is not yet
'round the corner.

Alex